Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.shared
Interface Axis

All Known Implementing Classes:
  JSMAxis

    public interface Axis

Nested Class Summary
`static interface` | `Axis.Labels`
`static interface` | `Axis.PlotLines`
`static class` | `Axis.Type`

Method Summary
`ArrayString` | `getCategories()`
`int` | `getCategoriesLength()`
`DateTimeLabelFormats` | `getDateTimeLabelFormats()`
`Axis.Labels` | `getLabels()`
`double` | `getMax()`
`int` | `getMaxZoom()`
`double` | `getMin()`
`Array<Axis.PlotLines>` | `getPlotLines()`
`double` | `getTickInterval()`
`Title` | `getTitle()`
`java.lang.String` | `getType()`
`
`<T> T`
` | `getUserObject()`
`boolean` | `isShowFirstLabel()`
`boolean` | `isStartOnTick()`
`Axis` | `setMax(double max)`
`Axis` | `setMaxZoom(int maxZoom)`
`Axis` | `setMin(double min)`
`Axis` | `setPlotLines(Array<Axis.PlotLines> plotLines)`
`Axis` | `setShowFirstLabel(boolean showFirstLabel)`
`Axis` | `setStartOnTick(boolean startOnTick)`
`Axis` | `setTickInterval(double tickInterval)`
`Axis` | `setType(java.lang.String type)`
`void` | `setUserObject(java.lang.Object userObject)`

Method Detail

### getTitle

    Title getTitle()

### getLabels

    Axis.Labels getLabels()

### getDateTimeLabelFormats

    DateTimeLabelFormats getDateTimeLabelFormats()

### getUserObject

    <T> T getUserObject()

### getCategories

    ArrayString getCategories()

### getCategoriesLength

    int getCategoriesLength()

### getPlotLines

    Array<Axis.PlotLines> getPlotLines()

### getMaxZoom

    int getMaxZoom()

### getMin

    double getMin()

### getMax

    double getMax()

### isShowFirstLabel

    boolean isShowFirstLabel()

### isStartOnTick

    boolean isStartOnTick()

### getTickInterval

    double getTickInterval()

### getType

    java.lang.String getType()

### setMin

    Axis setMin(double min)

### setMax

    Axis setMax(double max)

### setType

    Axis setType(java.lang.String type)

### setTickInterval

    Axis setTickInterval(double tickInterval)

### setStartOnTick

    Axis setStartOnTick(boolean startOnTick)

### setShowFirstLabel

    Axis setShowFirstLabel(boolean showFirstLabel)

### setUserObject

    void setUserObject(java.lang.Object userObject)

### setMaxZoom

    Axis setMaxZoom(int maxZoom)

### setPlotLines

    Axis setPlotLines(Array<Axis.PlotLines> plotLines)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD